Package org.apache.sysds.runtime.ooc.stream

# Class TaskContext

java.lang.Object
org.apache.sysds.runtime.ooc.stream.TaskContext

public class TaskContext extends Object

## Constructor Summary

Constructors
Constructor
Description
`TaskContext()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`canPipe()`
`static void`
`clearContext()`
`static void`
`defer(Runnable deferred)`
`static TaskContext`
`getContext()`
`static boolean`
`runDeferred()`
`static void`
`setContext(TaskContext context)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TaskContext

public TaskContext()

## Method Details

### getContext

public static TaskContext getContext()

### setContext

public static void setContext(TaskContext context)

### clearContext

public static void clearContext()

### defer

public static void defer(Runnable deferred)

### runDeferred

public static boolean runDeferred()

### canPipe

public static boolean canPipe()